PHP-инклюдинг в Runcms

Дата публикации:
11.02.2006
Всего просмотров:
4143
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-0659
CVE-2006-1793
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RunCms 1.x
Уязвимые версии: Runcms 1.2 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость позволяет удаленному пользователю загрузить произвольные файлы с помощью FCKEDITOR. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе. Уязвимость существует в версии 1.3a (до 2006-02-10). Более подробная информация об уязвимости:
Загрузка произвольных файлов в FCKeditor

2. Уязвимость существует при обработке входных данных в параметре "bbPath[path]" сценария "class.forumposts.php" и параметре "xoopsConfig[language]" в сценарии "forumpollrenderer.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

Пример/Эксплоит: см. источник сообщения.

URL производителя: www.runcms.org

Решение: Установите последнюю версию (1.3a) с сайта производителя.

Источник:

Ссылки: FCKEditor 2.0 <= 2.2 shell upload
RunCMS <= 1.2 arbitrary remote inclusion exploit

или введите имя

CAPTCHA